function PanelUtilisateurs(objChat) {
	div = document.createElement('div');
	div.className = 'utilisateurs';
	
	this.objPanel = div;
	this.objChat = objChat;
}

PanelUtilisateurs.prototype = {
	'objChat' : null,
	'objPanel' : null,
	'attachment' : null,
	
	/**
	 * public void updateUtilisateurs(Object lstUtilisateur)
	 * 
	 * Met à jour la liste des utilisateurs.
	 * 
	 * @param (Object) lstUtilisateur
	 */
	
	'updateUtilisateurs' : function (lstUtilisateur) {
		table = document.createElement('table');
		tbody = document.createElement('tbody');
		
		for (var i=0;i<lstUtilisateur.length; i++) {
			tr = document.createElement('tr');
				td = document.createElement('td');
					p = document.createElement('p');
						a = document.createElement('a');
						a.innerHTML = lstUtilisateur[i]['nom'] + " (+" + lstUtilisateur[i]['flags'] + ")";
						a.onclick = function (user) {
							this.objChat.appObjRef.initConvoPrivee(user);
						}.bind(this, lstUtilisateur[i]['nom']);
						a.href="#";
					p.appendChild(a);
				td.className = "row" + (i%2);
				td.appendChild(p);
			tr.appendChild(td);
			tbody.appendChild(tr);
		}
		
		table.appendChild(tbody);
		
		this.objPanel.innerHTML = "";
		this.objPanel.appendChild(table);
	}
};

PanelUtilisateurs.extend(Panel);